Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.29 veröffentlicht (30.10.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
changed_files_1827_to_1829_de bringt mich auf 1.8.27 ???
#1
Hallo zusammen,
verstehe es nicht. Ich habe eben das Update von 1.8.27 auf 1.8.29 durchgeführt. Am Ende sagt es mir das ich erfolgreich auf 1.8.27 aktualisiert wurde !?!?


Das Forum läuft soweit zumindest.

Das ist nicht mein erstes Update und alles lief sauber durch wie immer(mit der richtigen Auswahl der installierten Vorversion 1.8.27), nur eben am Ende diese unerwartete Meldung.

Kennt das jemand? Was ratet Ihr mir?

Ich vermute ich sollte nun besser die 1.8.29 vollständig hochladen, oder?
Wie läuft das dann (ich frage lieber zur Sicherheit)? htaccess und config plus Plugins vorher sichern und dann einspielen? Alles löschen und neu hochladen oder alles überschreiben?

Wie dann weiter? Mit https:// ... /install/upgrade.php starten? Bin mir unsicher, will nichts kaputt machen.

Vielen Dank für Hinweise

Hans
Zitieren
#2
Deine Ausführung klingt so als hättest Du ein inkorrektes Updatepaket verwendet.

Fakt ist, das irgend etwas inkorrekt ausgeführt wurde. So viele haben die Updates ausgeführt und ein solcher Fehler ist noch nie hier vernommen worden. Normalerweise wird beim Start des Updates von 1.8.27 auf 1.8.29 bereits angezeigt dass die Version 1.8.27 gegeben ist und diese auf V1.8.29 ugedatet wird. Diesen Step muss man als erstes mit "Weiter" bestätigen. Davon schreibst Du jedoch nichs.

Du schreibst leider nicht welche MyBB-Version Dir nach dem angebliche korrekten Update im ACP angezeigt wird. Sehe da mal bitte zuerst nach.

Empfehlung:
Um alle Unstimmigkeiten zu beseitigen empfhele ich die Datensicherung (FTP und SQL der Version 1.8.28) einzuspielen und dann das Update nochmals korrekt durchführen.

Eine gesamte Neuinstallation ist nicht zielführend da
a) sicherlich Beiträge gegeben sind
und
b) der Aufwand unverhältnismässig größer ist als eien datensicherung einzuspielen und das korrekte Update durchzuführen.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.27 | PHP: 7.4.19 | SQL: 5.7.34
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#3
Es ist meist gar nicht nötig ein Backup einzuspielen, vermutlich wurden die geänderten Dateien einfach in den falschen Ordner hochgeladen oder die alten nicht (alle) ersetzt.
Daher einfach die geänderten Dateien korrekt hochladen und das Upgrade-Script ausführen. Dort muss direkt die korrekte neue Version angezeigt werden.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#4
Hallo zusammen,
vielen Dank für Eure Antworten. Gerti, Du vermisst Angaben aber alles stand da. Dennoch gerne nochmal:

Ich habe Version 1.8.27 und habe mir natürlich das Update changed_files_1827_to_1829_de runtergeladen um auf 1.18.29 zu aktualisieren. Ich habe die Hauptverzeichnis einzeln hochgeladen (kenne das wenn man falsch hochlädt). Dieser Vorgang müsste sauber gelaufen sein.

Der Upgrade-Vorgang lief wie üblich: alte Version auswählen und mit "weiter" bestätigen .... bis man am Ende die Info bekommt auf den neuen Version zu sein.

Ich denke, ich habe das richtige Paket runtergeladen. Es wurde korrekt 1.8.27 ausgewählt. Der Prozess lief sauber durch, keine Fehlermeldung oder dergleichen, nur das eben am Ende stand, ich hätte auf 1.8.27 aktualisiert.

Im Update Prozess bin ich recht sicher, habe das schon x-fach gemacht, habe eine Doku mit jedem Schritt

Gut, ihr ratet mir von der Neuinstallierung ab, dann versuche ich wie vorgeschlagen die Datensicherung von 1.8.27 (habe nicht 1.8.28) einzuspielen und wieder den Prozess neu durchzuführen.

Am Wochenende werde ich mich dem widmen, bitte Daumen drücken.

Vielen Dank nochmal.

Hans
Zitieren
#5
(12.11.2021, 18:51)HansMusterli schrieb: Ich habe die Hauptverzeichnis einzeln hochgeladen (kenne das wenn man falsch hochlädt). Dieser Vorgang müsste sauber gelaufen sein.
Die Versionsnummer ist in der Datei inc/class_core.php gespeichert, zumindest diese wurde also nicht aktualisiert. Wahrscheinlich sind aber auch noch andere Dateien veraltet.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#6
Hallo Stefan,
danke für den Hinweis bzw. die Prüfung der inc/class_core.php Datei. War noch die alte Datei.

Ursache also gefunden: die Dateien waren großteils doch nicht sauber hochgeladen. Es waren gleichnamige Unterordner entstanden. Ursache: ich hatte neulich ein neues FTP Programm zuvor installiert und dessen Benutzung weicht offensichtlich etwas von meinem bisherigen Programm ab. Vordergründig hatte es kopiert (ich hatte gleichnamiges Verzeichnis auf gleichnamiges Verzeichnis einzeln gezogen), aber es entstanden neue, 1x tiefere Unterordner. Das war beim vorherigen Programm nicht der Fall.

Ich muss mich wohl an das neue Programm noch gewöhnen.

Also noch einmal alles hochgeladen und geprüft auf neue Dateien (neues Datum) und die upgrade.php neu gestartet. Diese ließ mich nicht mehr die Vorversion auswählen, sondern war schnell an dem Punkt, dass die Datenbank up to date sei (nun mit der 1.18.29 angezeigt).

Alles scheint zu laufen, ich hoffe im Hintergrund ist wirklich das Upgrade gelaufen, auch wenn wohl nicht alle Dateien an ihren Platz waren.

Vielen Dank für eure Hilfe

Hans
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Forum bringt Fehler 404 maiurb 21 3.506 07.06.2018, 15:23
Letzter Beitrag: maiurb
  mod-log bringt http 500 schauan 2 1.226 21.05.2018, 19:28
Letzter Beitrag: schauan